Pre-release — content may change.

Roles

List the roles in a role summary

GET
/role_summaries/{role_summary_id}/roles

Lists every role sharing the addressed summary's name.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

role_summary_id*string

Base64-encoded role name identifying the role summary.

Query Parameters

include?string

Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.

sort?string

Comma-separated list of attributes to sort by. Prefix with - for descending order (-created_at,family_name).

page?

Offset pagination parameters.

filter?

Filter predicates on Role attributes (see GET /roles).

fields[roles]?array<>

Sparse-fieldset selection.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/role_summaries/string/roles"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "roles",      "attributes": {        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",        "name": "string",        "description": "string",        "slug": "string",        "global": true,        "automated": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "relationships": {        "resource": {          "data": {            "type": "organizations",            "id": "string"          },          "links": {            "self": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/resource",            "related": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/resource"          }        },        "role_summary": {          "data": {            "type": "role_summaries",            "id": "string"          },          "links": {            "self": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/role_summary",            "related": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/role_summary"          }        },        "people": {          "data": [            {              "type": "people",              "id": "string"            }          ],          "links": {            "self": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/people",            "related": "/roles/7247ad7d-9275-454b-9e3a-0570e403739e/people"          }        }      }    }  ],  "meta": {    "page": {      "total_items": 0,      "total_pages": 0,      "number": 0,      "size": 0    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}